@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;1,500&display=swap');

.hide {
    display: none !important;
    transition: all .3s ease-in-out;
}

.callback {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-y: auto;
    color:#fff;
    background: rgb(255 255 255 / 65%);
    font-family: 'Ubuntu';
    font-weight: 300;
    transition: all .3s ease-in-out;
    z-index: 10000;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}
.callback__inner {
    position: relative;
    max-width: 1075px;
    min-height: 250px;
    padding-right: 50px;
}
.callback__close {
    position: absolute;
    top: 0px;
    right: 0px;
    display: block;
    width: 32px;
    height: 32px;
    background: url(./images/close_dark.svg);
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
}
.callback__content {
    position: relative;
    background: #22639f;
    padding: 100px 150px 70px;
    box-shadow: 0px 0px 25px rgb(0 0 0 / 65%);
}
.callback__content:after {
    content: '';
    position: absolute;
    bottom: 30px;
    right: 30px;
    display: block;
    width: 137px;
    height: 58px;
    background-image: url(./images/logo.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}
.callback__caption {
    font-size: 36px;
    margin-bottom: 40px;
}
.callback__caption.non-working-time {
    margin-bottom: 31px;
}
.callback__text {
    font-size: 19px;
    margin-bottom: 23px;
    font-weight: 300;
}

.callback__form-minute {
    margin-right: 30px;
}
.callback__input {
    display: block;
    width: 100%;
    height: 60px;
    border: none;
    outline: none;
    color: #5a5a5a;
    font-size: 24px;
    line-height: 50px;
    max-width: 270px;
    box-sizing: border-box;
    transition: all .3s ease-in-out;
}
.callback__input:focus {
    box-shadow: 0px 0px 15px rgba(255, 255, 255, 0.5);
}
.callback__input.error {
    box-shadow: 0px 0px 2px 3px rgb(255 0 0 / 68%);
}
.callback__input-group {
    position: relative;
}
.callback__input.input-prefix {
    padding-left: 40px;
}
.callback__input-group.input-prefix:before {
    content: '+7';
    display: flex;
    align-items: center;
    padding: 0 5px;
    font-size: 25px;
    position: absolute;
    top: 0px;
    left: 5px;
    bottom: 0px;
    font-weight: 400;
    color: #5a5a5a;
}
.callback__btn {
    display: block;
    border: none;
    outline: none;
    font-family: 'Ubuntu';
    font-weight: 300;
    font-size: 19px;
    line-height: 60px;
    padding: 0 90px;
    background: #2d8adf;
    color: #fff;
    box-shadow: 0px 0px 25px rgb(0 0 0 / 30%);
    cursor: pointer;
    transition: all .3s ease-in-out;
}
.callback__btn:hover {
    background: #0e66b7;
    box-shadow: 0px 0px 25px rgb(0 0 0 / 50%);
}
.callback__form-control.grid2 {
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    grid-gap: 20px;
    justify-content: flex-start;
}
.callback__form-control:not(:last-child) {
    margin-bottom: 22px;
}
.callback__form {
    margin-bottom: 50px;
}
.callback__info {
    color: #b7b7b7;
    font-size: 14px;
}

.callback__form-control.dont-work-time {
    margin-bottom: 34px;
}


.callback-widget-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: #fff;
    position: fixed;
    /*left: 25px;
    bottom: 25px;*/
    width: 90px;
    height: 90px;
    background: #22639f;
    border-radius: 50%;
    font-family: 'Ubuntu';
    font-weight: 300;
    cursor: pointer;
    box-shadow: 0px 0px 5px rgb(0 0 0 / 30%);
    bottom: 7%;
    left: 2%;
    z-index: 120;
    font-size: 16px;
    line-height: 120%;
}

.callback-widget-btn-tooltip {
    position: absolute;
    background: #22639f;
    padding: 15px 25px 15px 15px;
    width: 200px;
    font-family: 'Ubuntu';
    font-weight: 300;
    color: #fff;
    z-index: 100;
    box-shadow: 0px 0px 5px rgb(0 0 0 / 30%);
}
.callback-widget-btn-tooltip:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border: 0 solid transparent;
    border-left-width: 30px;
    border-right-width: 0px;
    border-top: 20px solid #22639f;
    bottom: -20px;
    position: absolute;
    left: 30px;
}

.callback__alert {
    font-size: 32px;
    line-height: 120%;
    font-weight: 300;
    text-align: center;
    padding-bottom: 40px;
    display: grid;
    grid-auto-flow: column;
    align-items: center;
    grid-gap: 10px;
    justify-content: center;
}
.loader-widget {
    display: block;
    width: 100px;
    height: 20px;
    background: url(./images/loader.svg) center no-repeat;
}




.callback__form-hour input, .callback__form-minute input, .callback__form-hour, .callback__form-minute {
    width: 83px;
    height: 65px;
    background: #2d8adf;
}
.callback__form-hour input, .callback__form-minute input {
    border: none;
    color: #fff !important;
    font-size: 36px;
    padding: 0 25px 0 18px;
    box-sizing: border-box;
    font-family: 'Ubuntu';
    font-weight: 300;
}
.callback__form-hour, .callback__form-minute {
    position: relative;
}
.callback__form-hour .up, .callback__form-hour .down,
.callback__form-minute .up, .callback__form-minute .down {
    display: block;
    position: absolute;
    width: 25px;
    height: 31px;
    right: 0px;
    cursor: pointer;
}
.callback__form-hour .up, .callback__form-minute .up {
    top: 0px;
    background: url(./images/arrow_top.png) center bottom no-repeat;
}
.callback__form-hour .down, .callback__form-minute .down {
    bottom: 0px;
    background: url(./images/arrow_bottom.png) center top no-repeat;
}


.callback__day {
    border: none;
    background: none;
    color: #fff;
    font-size: 19px;
    font-family: 'Ubuntu';
    font-weight: 300;
}
.callback__day option {
    color: #575757;
}
.dont-work-time {
    max-width: 390px;
    justify-content: flex-start;
}




::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    font-family: ubuntu;
    font-weight: 300;
    color: #b7b7b7;
    font-size: 16px;
}
::-moz-placeholder { /* Firefox 19+ */
    font-family: ubuntu;
    font-weight: 300;
    color: #b7b7b7;
    font-size: 16px;
}
:-ms-input-placeholder { /* IE 10+ */
    font-family: ubuntu;
    font-weight: 300;
    color: #b7b7b7;
    font-size: 16px;
}
:-moz-placeholder { /* Firefox 18- */
    font-family: ubuntu;    
    font-weight: 300;
    color: #b7b7b7;
    font-size: 16px;
}

.callback__caption br, .callback__text br {display: none;}

.callback-widget-btn .side {
    transition: all .3s ease-in-out;
}
.callback-widget-btn .side2 {
    display: inline-block;
    width: 46px;
    height: 46px;
    background: url(./images/phone.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 46px;
}

.callback-widget-btn .side:not(:first-child) {
    /*display: none;*/
}


@media (min-width: 992px) {
    .callback__alert {
        min-width: 580px;
        text-align: center;
    }
}

@media (max-width: 991px) {
    .callback__content {
        padding: 50px 100px;
    }
}

@media (max-width: 768px) {
    .callback__caption {
        font-size: 32px;
        margin-bottom: 50px;
        text-align: center;
    }
}

@media (max-width: 768px) {
    .callback__form-control.grid2:not(.dont-work-time) {
        grid-auto-flow: row;
    }
    .callback__input {
        max-width: 100%;
    }
    .callback__form .callback__info {
        display: none;
    }
    .callback__inner {
        padding-right: 0px;
    }
    .callback__close {
        top: 10px;
        right: 10px;
        background: url(./images/close_light.svg);
        background-size: contain;
        background-repeat: no-repeat;
        z-index: 10;
    }
    .callback__inner {
        margin-left: 15px;
        margin-right: 15px;
    }

    .callback-widget-btn {
        width: 65px;
        height: 65px;
        font-size: 13px;
    }
    .callback-widget-btn .side2 {
        background-size: 36px;
    }
}

@media (max-width: 560px) {
    .callback__content {
        padding: 50px 100px;
    }
    .callback__content:after {
        right: 30px;
        left: 30px;
        margin: 0 auto;
    }
    .callback__content {
        padding-bottom: 120px;
    }
    .callback__alert {
        font-size: 22px;
        text-align: center;
        margin-bottom: 30px;
    }
    .callback__info {
        text-align: center;
        margin-bottom: 40px;
    }
}

@media (max-width: 480px) {
    .callback__content {
        padding: 65px 25px 65px;
        max-width: 320px;
    }
    .callback__caption {
        font-size: 28px;
        line-height: 115%;
        margin-bottom: 25px;
        text-align: center;
    }
    .callback__form.non-working-time {
        margin-bottom: 30px;
    }
    .callback__caption.non-working-time {
        text-align: left;
    }
    .callback__text {
        font-size: 16px;
        margin-bottom: 17px;
        line-height: 115%;
    }
    .callback__caption br, .callback__text br {display: block;}

    .callback__btn {
        padding: 0 30px;
    }
    .callback__form-control.grid2.dont-work-time {
        grid-auto-flow: dense;
        grid-template-columns: 1fr 1fr;
        justify-content: flex-start;
    }
    .callback__form-day {
        grid-column: span 8;
    }
    .callback__form-control.dont-work-time {
        margin-bottom: 25px;
    }
    .callback__content:after {
        position: static;
    }
}

@media (max-width: 380px) {
    .callback__content {
        padding: 35px 25px 35px;
        max-width: 320px;
    }
    .callback__caption {
        font-size: 23px;
    }
    .callback__caption.non-working-time {
        margin-bottom: 25px;
    }
    .callback__input {
        height: 50px;
    }
    .callback__btn {
        line-height: 50px;
    }
}

@media (max-width: 340px) {
    .callback__content {
        padding: 50px 15px 120px;
    }
}




.callback-widget-btn .side {
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    margin: auto;
    display: flex;
    align-items: center;
    opacity: 0;
}
.callback-widget-btn .side.side2 {
    -webkit-animation: callback-widget-btn-animation 5s ease-in-out infinite;
    animation: callback-widget-btn-animation 5s ease-in-out infinite;
    transform-origin: 50% 50%;
}
.callback-widget-btn .side.side1
.callback-widget-btn .side.side2 {
    -webkit-transition: opacity 0.8s cubic-bezier(0.19, 1, 0.22, 1), transform 0.8s cubic-bezier(0.19, 1, 0.22, 1);
    -moz-transition: opacity 0.8s cubic-bezier(0.19, 1, 0.22, 1), transform 0.8s cubic-bezier(0.19, 1, 0.22, 1);
    -o-transition: opacity 0.8s cubic-bezier(0.19, 1, 0.22, 1), transform 0.8s cubic-bezier(0.19, 1, 0.22, 1);
    transition: opacity 0.8s cubic-bezier(0.19, 1, 0.22, 1), transform 0.8s cubic-bezier(0.19, 1, 0.22, 1);
    -moz-transform: perspective(400px) rotateY(-180deg) scale(0.4);
    -webkit-transform: perspective(400px) rotateY(-180deg) scale(0.4);
    -o-transform: perspective(400px) rotateY(-180deg) scale(0.4);
    transform: perspective(400px) rotateY(-180deg) scale(0.4);
}
.callback-widget-btn .side.side1.side-show,
.callback-widget-btn .side.side2.side-show {
    -moz-transform: perspective(400px) rotateY(0) scale(1);
    -webkit-transform: perspective(400px) rotateY(0) scale(1);
    -o-transform: perspective(400px) rotateY(0) scale(1);
    transform: perspective(400px) rotateY(0) scale(1);
    opacity: 1;
}

@keyframes callback-widget-btn-animation {
    0%,
    10%,
    100% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        transform: rotate(0) scale(1) skew(1deg);
    }
    2%,
    6% {
        -webkit-transform: rotate(-15deg) scale(1) skew(1deg);
        transform: rotate(-15deg) scale(1) skew(1deg);
    }
    4%,
    8% {
        -webkit-transform: rotate(15deg) scale(1) skew(1deg);
        transform: rotate(15deg) scale(1) skew(1deg);
    }
}
@-webkit-keyframes callback-widget-btn-animation {
    0%,
    10%,
    100% {
        -webkit-transform: rotate(0) scale(1) skew(1deg);
        transform: rotate(0) scale(1) skew(1deg);
    }
    2%,
    6% {
        -webkit-transform: rotate(-15deg) scale(1) skew(1deg);
        transform: rotate(-15deg) scale(1) skew(1deg);
    }
    4%,
    8% {
        -webkit-transform: rotate(15deg) scale(1) skew(1deg);
        transform: rotate(15deg) scale(1) skew(1deg);
    }
}

.callback__info a{
    color:  #fff !important;
}